﻿using System;
using RemObjects.SDK;
using RemObjects.SDK.Server;

namespace ChatServer
{
	[Service]
	public class LoginService : RemObjects.SDK.Server.Service
	{
		[ServiceMethod]
		public bool LogIn([StreamAs(StreamingFormat.Utf8String)]string loginEx)
		{
			try
			{
				SemicolonSeparatedString login = new SemicolonSeparatedString(loginEx);

				if (string.IsNullOrEmpty(login["User ID"]) || (login["User ID"] != login["Password"]))
				{
					this.DestroySession();
					return false;
				}

				this.Session["User ID"] = login["User ID"];
				this.Session["Login Time"] = DateTime.UtcNow;

				return true;
			}
			catch (Exception)
			{
				this.DestroySession();
				throw;
			}
		}

		[ServiceMethod]
		public void LogOut()
		{
			this.DestroySession();
		}
	}
}